Summary:	A GNU source-level debugger for C, C++ and Fortran
Name:		gdb
Version:	6.0
Release:	2mdk
License:	GPL
Group:		Development/Other
URL:		http://www.gnu.org/software/gdb/
Source:		gdb-%{version}.tar.bz2
Patch0:		gdb-6.0-cvsupdates-20040115.patch.bz2
# Fix sim build
Patch1:		gdb-5.2.1-fix-sim-build.patch.bz2
Patch2:		gdb-6.0-system-readline.patch.bz2
Patch3:		gdb-6.0-dwarf2-fixes.patch.bz2
Patch4:		gdb-6.0-i386-skip-prologue.patch.bz2
Patch5:		gdb-6.0-tracepoint.patch.bz2
Patch6:		gdb-6.0-thread_db-verbose.patch.bz2

Buildroot:	%_tmppath/%name-%version-root
PreReq:		/sbin/install-info
BuildRequires:	ncurses-devel readline-devel texinfo

%description
Gdb is a full featured, command driven debugger. Gdb allows you to
trace the execution of programs and examine their internal state at
any time.  Gdb works for C and C++ compiled with the GNU C compiler
gcc.

If you are going to develop C and/or C++ programs and use the GNU gcc
compiler, you may want to install gdb to help you debug your programs.

%prep
%setup -q
%patch0 -p1 -b .cvsupdates
%patch1 -p1 -b .sim-fixes
%patch2 -p1 -b .system-readline
%patch3 -p1 -b .dwarf2-fixes
%patch4 -p1 -b .i386-skip-prologue
%patch5 -p1 -b .tracepoint
%patch6 -p1 -b .thread_db-verbose
rm -rf ./gdb/gdbserver

cat > gdb/version.in << EOF
%{version}-%{release} (Mandrake Linux)
EOF

%build
%define __libtoolize :
%configure --with-separate-debug-dir=%{_prefix}/lib/debug
%make
make info

%install
%makeinstall

# The above is broken, do this for now:
mkdir -p $RPM_BUILD_ROOT/%{_infodir}
cp `find . -name "*.info*"` $RPM_BUILD_ROOT/%{_infodir}
rm -f $RPM_BUILD_ROOT%{_infodir}/dir $RPM_BUILD_ROOT%{_infodir}/dir.info* 
rm -f $RPM_BUILD_ROOT%{_bindir}/{texindex,texi2dvi,makeinfo,install-info,info}

# These are part of binutils
rm -f $RPM_BUILD_ROOT%{_infodir}/{bfd,standard,readline,history,info,texinfo}*
rm -fr $RPM_BUILD_ROOT%{_includedir}
rm -fr $RPM_BUILD_ROOT%{_libdir}/lib{bfd*,opcodes*,iberty*}

# Remove even more unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/libmmalloc.a
rm -f $RPM_BUILD_ROOT%{_infodir}/{configure,libiberty,rluserman}.info*
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/
rm -f $RPM_BUILD_ROOT%{_infodir}/annotate.info*

# MDK menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
 needs="text" \
 section="Applications/Development/Tools" \
 title="Gdb" \
 longtitle="The GNU debugger" \
 command="gdb" \
 icon="development_tools_section.png"
EOF

%clean
rm -fr $RPM_BUILD_ROOT

%post
%{update_menus}
%{_install_info gdb.info}
%{_install_info gdbint.info}
%{_install_info mmalloc.info}
%{_install_info stabs.info}

%preun
if [ $1 = 0 ]; then
%{_remove_install_info gdb.info}
%{_remove_install_info gdbint.info}
%{_remove_install_info mmalloc.info}
%{_remove_install_info stabs.info}
fi

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc COPYING COPYING.LIB README gdb/NEWS
%{_bindir}/*
%{_mandir}/man1/gdb.1*
%{_infodir}/gdb.info*
%{_infodir}/gdbint.info*
%{_infodir}/stabs.info*
%{_infodir}/mmalloc.info*
%{_menudir}/%{name}

%changelog
* Thu Jan 15 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 6.0-2mdk
- Updates from 6.0-branch to fix other dwarf2 related bugs

* Thu Jan  7 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 6.0-1mdk
- 6.0

* Tue Sep  9 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.3-26mdk
- debuginfo dir is always %%{_prefix}/lib/debug

* Mon Jun 17 2003 Stefan van der Eijk <stefan@eijk.nu> 5.3-25mdk
- BuildRequires

* Tue Apr 15 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.3-24mdk
- Fix build on x86-64

* Wed Apr  2 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.3-23mdk
- Should be -3mdk but the icons fix required 20 releases ;-)
- Patch2: Cleanup cfi engine on rerun (Michal Ludvig)
- Patch3: Added ability to do backtrace from some functions without
  debug info on dwarf2 targets, e.g. x86-64 (Michal Ludvig)
- Patch4: Accept empty args through --args (Andreas Schwab)
- Patch5: Add support for external debug symbols (Jim Blandy, Alex Larsson)
- Patch6: Ignore NOBITS .eh_frame section in debug info (Elena Zannoni)
- Patch7: Handle files with stabs debug info but no line info (Jeff
  Johnston, RH #84253)

* Thu Feb 27 2003 David BAUDENS <baudens@mandrakesoft.com> 5.3-22mdk
- Fix icons

* Tue Dec 24 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.3-1mdk
- 5.3

* Fri Dec  6 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.3-0.1mdk
- Update to gdb 5.2.91, first public snapshot for upcoming gdb 5.3

* Fri Dec  6 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.2.1-3mdk
- Patch1: Fix memory leaks (PR gdb/592, Daniel Jacobowitz)
- Patch2: Use system readline
- Patch11: Add SuSE fix to remove frame pointer on x86-64

* Wed Aug 21 2002 Stew Benedict <sbenedict@mandrakesoft.com> 5.2.1-2mdk
- fix sim build - cjw <cjw@daneel.dyndns.org>

* Mon Aug 19 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.2.1-1mdk
- 5.2.1

* Tue Jun 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.2-3mdk
- Add dwarf2cfi from SuSE release 5.2-31

* Mon Jun 24 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.2-2mdk
- Sanitize specfile
- Merge with SuSE release 5.2-31 (4 new patches):
  - Fix IA-64 breakpoints on L in MLX instruction bundles
  - Add some dwarf2-patches for x86-64
  - Add x86-64 xmm register info
  - Add x86-64 fpregset

* Fri May 17 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.2-1mdk
- 5.2
- Fix versioning
- Sanitize specfile
- Remove Patch0 (threadfpufix), since integrated in upstream sources
- Remove Patch1 (boolfix), since better handled upstream

* Tue May 07 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.1.1-4mdk
- Automated rebuild in gcc3.1 environment

* Tue Feb 26 2002 Stew Benedict <sbenedict@mandrakesoft.com> 5.1.1-3mdk
- gcc295 also provides boolean types - change patch2

* Mon Feb 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.1.1-2mdk
- fix build with newer gcc (boolean name clash)

* Mon Feb  4 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-1mdk
- 5.1.1.

* Wed Jan  9 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1-3mdk
- Fix some thread+fpu problems (rh).

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 5.1-2mdk
- Fix menu entry (png icon)

* Tue Dec  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1-1mdk
- 5.1.

* Mon Nov 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.0-22mdk
- Fix with new makeinstall.

* Wed Nov 14 2001 Stew Benedict <sbenedict@mandrakesoft.com> 5.0-21mdk
- use CVS like other arches - old tarball doesn't build anymore, and 
- segfault problem seems to have gone away - PPC

* Sat Sep 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.0-20mdk
- include the menu file (oops).

* Fri Sep 28 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.0-19mdk
- 20010912 snapshot.

* Fri Sep 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.0-17mdk
- Rebuild.

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.0-16mdk
- s|Linux-Mandrake|Mandrake Linux|;
- 20010813 snapshot.

* Mon Aug  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.0-15mdk
- 20010625 snapshot.
- Adjust BuildRequires:

* Fri Jun 15 2001 David BAUDENS <baudens@mandrakesoft.com> 5.0-14mdk
- Use real gdb-5.0 on PPC (or it will segfault every time)

* Sat May 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.0-13mdk
- Fix info.
- 20010501 snapshot.

* Mon May 14 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.0-12mdk
- Merge with latest snapshot of rh.

* Thu Mar 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.0-11mdk
- New snapshot rh merge.

* Wed Feb 07 2001 Francis Galiegue <fg@mandrakesoft.com> 5.0-10mdk
- Yep, now compiles on ia64

* Tue Feb  6 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.0-9mdk
- Using snapshot 20010119. (should work on ia64 btw).

* Mon Feb 05 2001 Francis Galiegue <fg@mandrakesoft.com> 5.0-8mdk
- ExcludeArch: ia64 - probably 5.1 will integrate it but right now it's not

* Fri Jan 19 2001 David BAUDENS <baudens@mandrakesoft.com> 5.0-7mdk
- Fix a stupid typo in Requires

* Fri Jan 19 2001 David BAUDENS <baudens@mandrakesoft.com> 5.0-6mdk
- Fix build on PPC
- Spec clean up

* Mon Jan 15 2001 David BAUDENS <baudens@mandrakesoft.com> 5.0-5mdk
- BuildRequires: texinfo

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.0-4mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0-3mdk
- BM

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0-2mdk
- merge in rh patches
- add doc files
- added the NEWS file to the %doc files
- don't delete libmmalloc & add it (required by docs in gdb' info pages) :
  we're the only distro to be compliant with this!
- use new macros

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0-1mdk
- new release
- fix source0
- add URL
- make sparc patch only applied when building a sparc rpm (sprc-bldr scks)

* Sat Apr 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.18-14mdk
- Set VERSION to version rpm not to cvs date.
- Fix menu post/postun.
- Add all size of icons.

* Thu Apr 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.18-13mdk
- Add menu and icon.
- Clean-up specs.
- Adjust groups.
- Back to snapshots 19991004 for glibc-2.1.3.

* Mon Nov 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Using cvs snapshot, merging.
- merging with redhat patchs.

* Tue Aug 24 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- thread safe release
